Saltar al contenido

List access review campaign rows

Módulo Settings

GET/access-review-campaignsaccessReviewCampaigns.list

A quarterly access review campaign. Returns a cursor page of access review campaign rows the caller may see. The default order is `created_at` ascending. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad org.members.read.
  • Alcances de OAuth: org.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

accessReviewCampaigns.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de AccessReviewCampaign

accessReviewCampaigns.list: AccessReviewCampaign
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the access review campaign.
org_idstring (uuid)SíIdentifier of the owning organization, derived from the parent row and never accepted from the caller.
created_atstring (date-time)SíWhen the row was created.
created_bystring (uuid) | nullSíIdentifier of the person who created the row; null when a seed, platform or system process created it.
updated_atstring (date-time)SíWhen the row was last updated.
updated_bystring (uuid) | nullSíIdentifier of the person who last updated the row; null when a seed, platform or system process updated it.
namestringSíCampaign name.Restricciones: length 1 to 300
due_onstring (date)SíDue date.
auto_remove_unreviewedbooleanSíRemove access left unreviewed after 14 days.
campaign_statestringSíCampaign state. A Title Case value from the lifecycle's database enum.Restricciones: pattern ^[A-Z0-9][A-Za-z0-9&'/.()-]*( [A-Za-z0-9&'/.()-]+)*$
opened_atstring (date-time)SíWhen the campaign opened and its items were taken.
closed_atstring (date-time) | nullSíWhen the campaign completed or was canceled; null while Active.
{
  "data": [
    {
      "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "org_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "created_at": "2026-10-08T14:30:00Z",
      "created_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "updated_at": "2026-10-08T14:30:00Z",
      "updated_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "name": "Q4 Access Review",
      "due_on": "2026-10-08",
      "auto_remove_unreviewed": false,
      "campaign_state": "Active",
      "opened_at": "2026-10-08T14:30:00Z",
      "closed_at": "2026-10-08T14:30:00Z"
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/access-review-campaigns" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.accessReviewCampaigns.listAll()) {
  console.log(row);
}
for row in xos.access_review_campaigns.list_all():
    print(row)
xos access-review-campaigns list --all